Skip to navigation

get a container by id

get a container by id

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

container_idstringRequired

Query parameters

returningstringOptional

Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, ’*’. For more information, click here.

Response

OK
archiveRecordobject or nullOptional
barcodestring or nullOptional
checkoutRecordobjectOptional

assignee field is set if status is “RESERVED” or “CHECKED_OUT”, or null if status is “AVAILABLE”.

comment field is set when container was last reserved, checked out, or checked into.

modifiedAt field is the date and time when container was last checked out, checked in, or reserved

contentslist of objectsOptionalRead-only
createdAtdatetimeOptionalRead-only
creatorobjectOptional
fieldsmap from strings to objectsOptional
idstringOptionalRead-only
modifiedAtdatetimeOptionalRead-only
namestringOptional
parentStorageIdstring or nullOptional
parentStorageSchemaobject or nullOptional
projectIdstring or nullOptional
quantityobjectOptional
Quantity of a container, well, or transfer. Supports mass, volume, and other quantities.
restrictedSamplePartieslist of objectsOptional
restrictionStatusenumOptional
Allowed values:
roleobject or nullOptional
sampleOwnerslist of objectsOptional
schemaobject or nullOptional
volumeobjectOptional

The deprecated “volume” type key in API responses can also contain non-volume quantities for back-compatibility purposes. Use the “quantity” type key instead.

webURLstringOptionalRead-only

Errors

400
Bad Request Error
404
Not Found Error